unit HIGH;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, IniFiles,
  StdCtrls, Grids, Buttons;

type
  TfmHIGH = class(TForm)
    StringGrid1: TStringGrid;
    BitBtn1: TBitBtn;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmHIGH: TfmHIGH;

implementation

{$R *.DFM}

procedure TfmHIGH.FormShow(Sender: TObject);
var i: Integer;
    strTemp: String;
    HighIni: TIniFile;
begin

  HighIni := TIniFile.Create('HIGH.INI');
  with HighIni do
  begin
    StringGrid1.Cols[1].Text := 'User ID';
    StringGrid1.Cols[2].Text := 'Grades';
    for i := 1 to 10 do
    begin
      strTemp := 'HIGH' + FormatFloat('00', i);
      if SectionExists(strTemp) then
      begin
        StringGrid1.Cells[0,i] := FormatFloat('##', i);
        StringGrid1.Cells[1,i] := ReadString(strTemp, 'UserID', 'noname');
        StringGrid1.Cells[2,i] := FormatFloat('###,###,###', ReadInteger(strTemp, 'Level', 0));
      end;
    end;
    Free;
  end;
end;

end.
