unit OPTION;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, Card, IniFiles;

type
  TfmOPTION = class(TForm)
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit2: TSpinEdit;
    Label3: TLabel;
    SpinEdit3: TSpinEdit;
    Label4: TLabel;
    Card1: TCard;
    Label5: TLabel;
    SpinButton1: TSpinButton;
    procedure FormShow(Sender: TObject);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmOPTION: TfmOPTION;

implementation

uses MAIN;
{$R *.DFM}

procedure TfmOPTION.FormShow(Sender: TObject);
begin
   SpinEdit1.Value := aTime1;
   SpinEdit2.Value := aTime2;
   SpinEdit3.Value := aTime3;
   Card1.DeckType := aDeckType;
end;

procedure TfmOPTION.SpinButton1DownClick(Sender: TObject);
var i: Integer;
begin
  i := fmMAIN.PosDeckType(aDeckType);
  i := i + 1;
  if (i > 11) then i := 0;
  aDeckType := TDecks(i);
  Card1.DeckType := aDeckType;
end;

procedure TfmOPTION.SpinButton1UpClick(Sender: TObject);
var i: Integer;
begin
  i := fmMAIN.PosDeckType(aDeckType);
  i := i - 1;
  if (i < 0) then i := 11;
  aDeckType := TDecks(i);
  Card1.DeckType := aDeckType;
end;

procedure TfmOPTION.FormClose(Sender: TObject; var Action: TCloseAction);
var HighIni: TIniFile;
begin
  // Y䤣HIGH.INIh(eWZ)
  HighIni := TIniFile.Create('HIGH.INI');
  with HighIni do
  begin
    aTime1 := SpinEdit1.Value;
    aTime2 := SpinEdit2.Value;
    aTime3 := SpinEdit3.Value;

    if SectionExists('OPTION') then
    begin
      WriteInteger('OPTION', 'TIME1', aTime1);
      WriteInteger('OPTION', 'TIME2', aTime2);
      WriteInteger('OPTION', 'TIME3', aTime3);
      WriteInteger('OPTION', 'DeckType', fmMAIN.PosDeckType(aDeckType));
    end;
    Free;
  end;
end;

end.
